Subject: Re: [PATCH v1] travis-ci: build and test Git on Windows

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Mar 2017 13:30:41 -0700

Jeff King <[email-masked]> writes:

>> We can blacklist these branches with a regex in the travis.yml:
>> https://docs.travis-ci.com/user/customizing-the-build#Building-Specific-Branches
>
> I had a feeling it might be something like that. So we would all need to
> agree on the convention for WIP branch names. If other people like the
> idea, I'm happy to make a patch, but I don't want to impose my own weird
> conventions on everyone else.

I can go with any convention, but I'd be more pleased if you made
sure that "do not build this with CI" and "this is WIP" are kept as
two separate concepts, as I can see having some WIP that I do want
to get tested.

Perhaps a substring "/noci-" anywhere in the branch name, or
something silly like that?

> I don't blame Travis at all. But if the tool does not produce reliable
> results, then I will start to ignore it.

Yes, that is a real issue.  I was wondering if we can have a knob
that can be controled with the repository setting to limit which
"build jobs" are run, so that you can use that web UI to set an
"environment variable" that lists only .3 and .4 (which correspond
to these two OSX builds) and .travis.yml takes notice of the
variable setting, or something.